#!/bin/bash
mkdir -p ${HOME}/battery_info
log_file=${HOME}/battery_info/$(date +%Y%m%d%H%M)battery_time.log
touch $log_file
echo 本脚本即将进行循环测试，数据备份在 $log_file 中 >> $log_file
echo 本脚本即将进行循环测试，数据备份在 $log_file 中
while :
do

	sleep 5
echo "开始测试" >> $log_file
echo "开始测试" 
energy_full=`upower -d | grep  -A10  DisplayDevice | grep energy-full | cut -d " " -f14`
echo 总容量：$energy_full Wh >> $log_file
echo 总容量：$energy_full Wh
time_start=`upower -d | grep  -A10  DisplayDevice | grep update`
energy_start=`upower -d | grep  -A10  DisplayDevice | grep energy: |  cut -d " " -f19`
echo 开始时间: $time_start >> $log_file
echo 开始时间: $time_start
echo 开始电量:$energy_start Wh  >> $log_file
echo 开始电量:$energy_start Wh

# 统计n分钟内的耗电情况推测待机时长
echo  测试时间 $1 秒 >> $log_file
echo  测试时间 $1 秒
sleep $1

time_end=`upower -d | grep  -A10  DisplayDevice | grep update`
energy_end=`upower -d | grep  -A10  DisplayDevice | grep energy: | cut -d " " -f19`
echo 结束时间: $time_end >> $log_file
echo 结束时间: $time_end
echo 结束电量:$energy_end Wh >> $log_file
echo 结束电量:$energy_end Wh

energy_reduce=`echo "$energy_start - $energy_end"|bc`
echo 电池容量$1秒内降低了 $energy_reduce Wh >>$log_file
echo 电池容量$1秒内降低了 $energy_reduce Wh
time_all=`echo "$energy_full * $1 / $energy_reduce / 60"|bc`
echo 根据 $1 秒内的电池容量降低推算当前情况下待机时长为：$time_all 分钟 >>$log_file
echo 根据 $1 秒内的电池容量降低推算当前情况下待机时长为：$time_all 分钟
echo -------本轮测试结束，即将开启下一轮测试------- >> $log_file
echo -------本轮测试结束，即将开启下一轮测试------- 

done
