#!/bin/bash
#判断开始菜单文件是否存在
menu_file="/etc/xdg/autostart/ukui-menu.desktop"
if [[ ! -f "$menu_file" ]]; then
  echo "file not exit"
else
  sed -i 's/Exec=ukui-menu/Exec=/' /etc/xdg/autostart/ukui-menu.desktop
fi


#判断sidebar文件是否存在
sidebar_file="/etc/xdg/autostart/ukui-sidebar.desktop"
if [[ ! -f "$sidebar_file" ]]; then
  echo "file not exit"
else
  sed -i 's/X-UKUI-AutoRestart=true/X-UKUI-AutoRestart=false/' /etc/xdg/autostart/ukui-sidebar.desktop
fi

#判断search文件是否存在
search_file="/etc/xdg/autostart/ukui-search.desktop"
if [[ ! -f "$search_file" ]]; then
  echo "file not exit"
else
  sed -i 's/ukui-search/search/' /etc/xdg/autostart/ukui-search.desktop
fi

#判断sidebar文件是否存在
bluetooth_file="/etc/xdg/autostart/ukui-bluetooth.desktop"
if [[ ! -f "$bluetooth_file" ]]; then
  echo "file not exit"
else
  sed -i 's/X-UKUI-AutoRestart=true/X-UKUI-AutoRestart=false/' /etc/xdg/autostart/ukui-bluetooth.desktop
fi

#判断sidebar文件是否存在
nm_file="/etc/xdg/autostart/kylin-nm.desktop"
if [[ ! -f "$nm_file" ]]; then
  echo "file not exit"
else
  sed -i 's/X-UKUI-AutoRestart=true/X-UKUI-AutoRestart=false/' /etc/xdg/autostart/kylin-nm.desktop
fi
